> ## Documentation Index
> Fetch the complete documentation index at: https://docs.satsuma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Carts

> List shopping carts by user and merchant



## OpenAPI

````yaml api-reference/openapi.json get /cart
openapi: 3.1.0
info:
  title: Satsuma API
  description: API specification for Satsuma AI commerce platform
  contact:
    name: Satsuma Support
    url: https://satsuma.ai
    email: support@satsuma.ai
  version: 1.0.0
servers:
  - url: https://api.satsuma.ai
    description: Production
security:
  - apiKeyAuth: []
paths:
  /cart:
    get:
      tags:
        - Cart
      summary: List Carts
      description: List shopping carts by user and merchant
      operationId: findCarts
      parameters:
        - name: userId
          in: query
          description: User identifier who owns the cart
          required: true
          schema:
            type: string
            description: api.cart.field.userId.description
        - name: merchantId
          in: query
          description: Merchant identifier for the cart
          required: true
          schema:
            type: string
            description: api.cart.field.merchantId.description
        - name: page
          in: query
          description: Page number (0-based)
          required: false
          schema:
            minimum: 0
            type: integer
            description: api.cart.field.page.description
            format: int32
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseListCart'
components:
  schemas:
    PagedResponseListCart:
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Cart'
        messages:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/Message'
        total:
          type: integer
          format: int64
    Cart:
      properties:
        id:
          type: string
        user_id:
          type: string
        merchant_id:
          type: string
        location_id:
          type: string
        status:
          type: string
          enum:
            - Active
            - Submitted
            - Cancelled
        fulfillment_method:
          type: string
          enum:
            - Delivery
            - Pickup
            - Shipping
        items:
          type: array
          items:
            $ref: '#/components/schemas/CartItem'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Message:
      properties:
        context:
          type: string
        level:
          type: string
          enum:
            - Information
            - Warning
            - Error
        text:
          type: string
        data:
          type: object
          additionalProperties: true
    CartItem:
      properties:
        id:
          type: string
        cart_id:
          type: string
        product_id:
          type: string
        product_name:
          type: string
        quantity:
          type: integer
          format: int32
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: API Key authentication
      name: Authorization
      in: header

````